KClipboardSynchronizer Class Reference

`#include <kclipboard.h>`

Inherits QObject.

## Static Public Member Functions

static KClipboardSynchronizer * | self ()
static void | setSynchronizing (bool sync)
static bool | isSynchronizing ()
static void | setReverseSynchronizing (bool enable)
static bool | isReverseSynchronizing ()

## Friends

class | KlipperWidget
class | KApplication

## Detailed Description

This class is only for internal use.

Allowing to automatically synchronize the X11 Clipboard and Selection buffers.

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg

Since
  3.1

Definition at line 36 of file kclipboard.h.

## Member Function Documentation

static bool KClipboardSynchronizer::isReverseSynchronizing | ( |  | ) |

inline static

Checks whether the Clipboard buffer will be copied to the Selection buffer upon changes.

Returns
  whether the Clipboard buffer will be copied to the Selection buffer upon changes.

See also
  setSelectionSetting

Definition at line 89 of file kclipboard.h.

static bool KClipboardSynchronizer::isSynchronizing | ( |  | ) |

inline static

Checks whether Clipboard and Selection will be synchronized upon changes.

Returns
  whether Clipboard and Selection will be synchronized upon changes.

See also
  setSynchronizing

Definition at line 66 of file kclipboard.h.

KClipboardSynchronizer * KClipboardSynchronizer::self | ( |  | ) |

static

Returns the KClipboardSynchronizer singleton object.

Returns
  the KClipboardSynchronizer singleton object.

Definition at line 97 of file kclipboard.cpp.

void KClipboardSynchronizer::setReverseSynchronizing | ( | bool | enable | ) |

static

Configures KClipboardSynchronizer to copy the Clipboard buffer to the Selection buffer whenever the Clipboard changes.

Parameters

  enable | true to enable implicit selection, false otherwise. Default is true.

See also
  selectionSetting

Definition at line 186 of file kclipboard.cpp.

void KClipboardSynchronizer::setSynchronizing | ( | bool | sync | ) |

static

Configures KClipboardSynchronizer to synchronize the Selection to Clipboard whenever it changes.

Default is false.

See also
  isSynchronizing

Definition at line 180 of file kclipboard.cpp.

## Friends And Related Function Documentation

friend class KlipperWidget

friend

Systray widget for manipulating the clipboard.

Definition at line 42 of file kclipboard.h.

The documentation for this class was generated from the following files:

- kclipboard.h
- kclipboard.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys